style="display:inline-block;width:728px;height:90px"
data-ad-client="ca-pub-5164839828746352"
data-ad-slot="7563230308">

Eclipse revienta en el autocompletado

Bueno, para que no se me olvide y para ver si le sirve a alguien.
Resulta que, haciendo una actualización completa de sistema (en debian, apt-get dist-upgrade) no sé que rayos se movió, el punto es que al iniciar el eclipse, a la hora de invocar el autocompletado (CTRL+barra de espacio) se cerraba así, sin más, sin alertas ni logs... yo me quedé sorprendido

Y bueno, después de un par horas buscando en google (digo, sé que es algo de tiempo, pero ¿cómo rastreas algo que ni siquiera deja un log o ventana de error? )

Total que encontré una posible solución y la dejo por cualquier cosa.
Resulta que en fichero eclipse.ini se modifica así:

Ejemplo de fichero eclipse.ini

-vm
/usr/java/jdk1.6.0_31/bin
-startup
plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
--launcher.library
plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20120913-144807
-product
org.eclipse.epp.package.jee.product
--launcher.defaultAction
openFile
-showsplash
org.eclipse.platform
--launcher.XXMaxPermSize
256m
--launcher.defaultAction
openFile
-vmargs # OJO! Despues de ésta línea se agrega la siguiente
-Dorg.eclipse.swt.browser.XULRunnerPath=/usr/share/xulrunner-1.9.1 # Ésta es la línea efectiva
-Dosgi.requiredJavaVersion=1.5
-Dhelp.lucene.tokenizer=standard
-XX:MaxPermSize=512m
-Xms128m
-Xmx1024m

Ahora, aclarando un punto. La ruta que viene anotada ahí, es de donde a mi debian se le dió la gana instalar el xulrunner-1.9.1 pero dicha ruta no es la definitiva, hay que checarlo y corrgirla de ser necesario.
Con ésto mágicamente se fué el error y ya puedo trabajar de manera normal.
A mí me pasó con eclipse Juno, Indigo y Helios, así que... bueno, no sé qué pensar, si a alguien le sirve de menos
notifique en qué versión de eclipse le tocó para andar con las pilas puestas.

Saludos.

Comentarios

Opciones de visualización de comentarios

Seleccione la forma que prefiera para mostrar los comentarios y haga clic en «Guardar las opciones» para activar los cambios.
Imagen de 043h68

Raro ...

Tengo la última versión de debian whezee y no he tenido problema con algún IDE, aunque solo trabajo con Spring Source o Eclipse no creo que sea problema en general de Eclipse, aunque es bueno por si a alguien le surge el error. >.<'

Saludos.

style="display:inline-block;width:728px;height:90px"
data-ad-client="ca-pub-5164839828746352"
data-ad-slot="7563230308">